Package org.codehaus.groovy.reflection.stdclasses

# Class CachedSAMClass

java.lang.Object
org.codehaus.groovy.reflection.CachedClass
org.codehaus.groovy.reflection.stdclasses.CachedSAMClass

    public class CachedSAMClass
    extends CachedClass

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.codehaus.groovy.reflection.CachedClass

  `CachedClass.CachedMethodComparatorByName, CachedClass.CachedMethodComparatorWithString`

- ## Field Summary

  ### Fields inherited from class org.codehaus.groovy.reflection.CachedClass

  `classInfo, EMPTY_ARRAY, isArray, isInterface, isNumber, isPrimitive, modifiers, mopMethods`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `CachedSAMClass​(java.lang.Class clazz, ClassInfo classInfo)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.Object` | `coerceArgument​(java.lang.Object argument)` |
  `static java.lang.Object` | `coerceToSAM​(Closure argument, java.lang.reflect.Method method, java.lang.Class clazz)` |
  `static java.lang.Object` | `coerceToSAM​(Closure argument, java.lang.reflect.Method method, java.lang.Class clazz, boolean isInterface)` |
  `static java.lang.reflect.Method` | `getSAMMethod​(java.lang.Class<?> c)` | Finds the abstract method of given class, if it is a SAM type.
  `boolean` | `isAssignableFrom​(java.lang.Class argument)` |

  ### Methods inherited from class org.codehaus.groovy.reflection.CachedClass

  `addNewMopMethods, getCachedClass, getCachedSuperClass, getCallSiteLoader, getConstructors, getDeclaredInterfaces, getFields, getHierarchy, getInterfaces, getMethods, getModifiers, getName, getNewMetaMethods, getSuperClassDistance, getTheClass, getTypeDescription, hashCode, isDirectlyAssignable, isInterface, isPrimitive, isVoid, searchMethods, setNewMopMethods, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CachedSAMClass

    public CachedSAMClass​(java.lang.Class clazz, ClassInfo classInfo)

- ## Method Details

  - ### isAssignableFrom

    public boolean isAssignableFrom​(java.lang.Class argument)
    Overrides:
      `isAssignableFrom` in class `CachedClass`

  - ### coerceArgument

    public java.lang.Object coerceArgument​(java.lang.Object argument)
    Overrides:
      `coerceArgument` in class `CachedClass`

  - ### coerceToSAM

    public static java.lang.Object coerceToSAM​(Closure argument, java.lang.reflect.Method method, java.lang.Class clazz)

  - ### coerceToSAM

    public static java.lang.Object coerceToSAM​(Closure argument, java.lang.reflect.Method method, java.lang.Class clazz, boolean isInterface)

  - ### getSAMMethod

    public static java.lang.reflect.Method getSAMMethod​(java.lang.Class<?> c)
    Finds the abstract method of given class, if it is a SAM type.